IBM Support

Requirements for running IBM Traveler on Domino 9.0.1 FP8 and later releases

Recommended Resources


Abstract

The IBM Domino 9.0.1 FP8 release will include an upgrade to Java 8. This article details requirements for IBM Traveler servers to run Java 8.

Content

Overview

The steps outlined below are required to run IBM Traveler on a Domino 9.0.1 FP8 or later server. It is not required to run Domino 9.0.1 FP8 or later to use the latest available IBM Traveler release.

Note: This technote does not apply to IBM Traveler installations on IBMi platform. For instructions for configuring Traveler for DB2 on IBMi please see the product documentation here: https://www.ibm.com/support/knowledgecenter/SSYRPW_9.0.1/ConfiguringHAOnIBMI.html

Traveler Requirements

Java 8 support is included in IBM Traveler 9.0.1.16 and later releases. It is required to run this level or later on a Domino server running 9.0.1 FP8 or later.

Download IBM Traveler from:


JDBC Requirements

If running IBM Traveler with either DB2 or MS SQL enterprise database server, then follow these steps to ensure compatibility with Java 8.

  • If using DB2 server: In order to support Java 8 you must use DB2 JDBC Driver V10.5 FP7 (4.19.49) or higher, see technote 1983724 for details. The DB2 JDBC Driver can be downloaded directly from Fix Central, see technote 1363866 for download information. Copy the db2jcc4.jar file to the <domino>\Traveler\lib directory and restart the Domino server. Be sure to remove any old copies of the DB2 JDBC driver from the system.
  • If using MS SQL server: In order to support Java 8 you must use sqljdbc42.jar file from MS JDBC 4.1 or later release. Download the latest Microsoft SQL Server JDBC Driver from this site. For detailed system requirements for the SQL Server JDBC driver see this Microsoft article. Copy the sqljdbc42.jar file to the <domino>\Traveler\lib directory and restart the Domino server. Be sure to remove any old copies of the MS SQL JDBC driver from the system.

For more information, see the documentation for Configuring IBM Traveler for enterprise database.

Related information

Detailed System Requirements
IBM Traveler Recommended Maintenance

Document information

More support for: IBM Traveler
Administration

Software version: 9.0.1

Operating system(s): Linux, Windows

Software edition: All Editions

Reference #: 1999188

Modified date: 22 February 2017


Translate this page: